// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

#include <sys/stat.h>

class file_info {

  private:

// File permissions now display correctly in MFMR window:
//  char file_mode[11];
    char file_mode[12];
		char *path_info,
		     *name_info;

  public:

    struct stat stat_buffer;

    void set_buffer();

    void free_buffer();

    void set_file(char* path, char* name);

    bool is_dir();

    char* get_mode();

    char* get_user();

    char* get_group();

		uid_t get_uid();

		gid_t get_gid();

    long long int get_size();

    time_t get_time();

};
